# passerelle - uniform access to multiple data sources and services
# Copyright (C) 2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import views

management_urlpatterns = [
    url(r'^(?P<slug>[\w,-]+)/mapping/new/$',
        views.MappingNew.as_view(), name='sp-fr-mapping-new'),
    url(r'^(?P<slug>[\w,-]+)/mapping/(?P<pk>\d+)/$',
        views.MappingEdit.as_view(), name='sp-fr-mapping-edit'),
    url(r'^(?P<slug>[\w,-]+)/mapping/(?P<pk>\d+)/delete/$',
        views.MappingDelete.as_view(), name='sp-fr-mapping-delete'),
    url(r'^(?P<slug>[\w,-]+)/run/$',
        views.run, name='sp-fr-run'),
]
